/*******************************************************************************
 * ParticleModuleTrailSpawn generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class ParticleModuleTrailSpawn extends ParticleModuleTrailBase
    native(Particle)
    editinlinenew
    hidecategories(Object,Object,Object);

enum ETrail2SpawnMethod
{
    PET2SM_Emitter,
    PET2SM_Velocity,
    PET2SM_Distance,
    PET2SM_MAX
};

var(Spawn) noclear export editinline DistributionFloatParticleParameter SpawnDistanceMap;
var(Spawn) float MinSpawnVelocity;

defaultproperties
{
    begin object name=DistributionSpawnDistanceMap class=DistributionFloatParticleParameter
        MinInput=10.0
        MaxInput=100.0
        MinOutput=1.0
        MaxOutput=5.0
        Constant=1.0
    object end
    // Reference: DistributionFloatParticleParameter'Default__ParticleModuleTrailSpawn.DistributionSpawnDistanceMap'
    SpawnDistanceMap=DistributionSpawnDistanceMap
}